Subject: Re: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Sat, 19 Jan 2013 08:02:55 +0400

On 19.01.2013 6:37, Paul Eggert wrote:
> On 01/18/2013 05:09 PM, Dmitry Gutov wrote:
>> So, vboxsf sees the change after the file has been closed, cifs - when it's reopened.
>
> My goodness, I didn't realize CIFS was *that* buggy.
>
> But this suggests a reason why the patch in
> <http://bugs.gnu.org/13149#61> worked for vboxsf
> and not CIFS, and even better it suggests a
> variation that might work with CIFS too.
> Could you please try the attached patch?

Ooooh yeah. It works. Thanks a lot! :)

I think I saw it fail once, right after I recompiled the patched 
version, but after that it's been working fine, on both filesystems.

That means, better than the emacs-24 build, which started to go haywire 
again on vboxsf. I even opened the same file in both at the same time, 
and the patched trunk was the non-buggy one.

So I think it's good to install, but I can play with it for a few days 
first, if you prefer.